wl_argument(3)

NAME
wl_argument -

A union representing all of the basic data types that can be passed along the wayland wire format.

SYNOPSIS

#include <wayland-util.h>

  Public Attributes
int32_t i
uint32_t u
wl_fixed_t f
const char * s
struct wl_object * o
uint32_t n
struct wl_array * a
int32_t h

Detailed Description

A union representing all of the basic data types that can be passed along the wayland wire format. This union represents all of the basic data types that can be passed in the wayland wire format. It is used by dispatchers and runtime-friendly versions of the event and request marshaling functions.

Member Data Documentation

  struct wl_array* wl_argument::a
array

  wl_fixed_t wl_argument::f
fixed point

  int32_t wl_argument::h
file descriptor

  int32_t wl_argument::i
signed integer

  uint32_t wl_argument::n
new_id

  struct wl_object* wl_argument::o
object

  const char* wl_argument::s
string

  uint32_t wl_argument::u
unsigned integer

Author

Generated automatically by Doxygen for Wayland from the source code.